+++
id = 21
name = "Cookie lengths"
description = "Returns cookie lengths along with the ip and the number of requests made with that cookie/ip."
keywords = ["iisw3c"]
statementParameters = "-rtp:-1"
statementSelect = "STRLEN(cs(Cookie)) AS [CookieLength], c-ip, COUNT(*) AS [Requests], cs(Cookie)"
statementInto = "CookieLengths.txt"
statementFrom = "ex0910*.log"
statementWhere = "cs(cookie) IS NOT null"
statementGroupby = "cs(Cookie), c-ip, [CookieLength]"
statementOrderby = "[CookieLength] DESC"
notes = "By default, IIS does not log cs(Cookie). If you wish to log this you must enable it. See <a href=\"http://yuiblog.com/blog/2007/03/01/performance-research-part-3/\" rel=\"external\">Performance Research, Part 3: When the Cookie Crumbles</a> for more information."
+++

