+++
id = 24
name = "Query parameter hacking attempt - http://"
description = "Returns a listing of IP addresses that may be making a hacking attempt by passing a site address."
keywords = ["iisw3c"]
statementParameters = "-rtp:-1 -o:w3c"
statementSelect = "c-ip, COUNT(*) AS [Requests]"
statementInto = "QueryParams-1c.log"
statementFrom = "ex0910*.log"
statementWhere = "cs-uri-query IS NOT null and STRCNT(TO_LOWERCASE(cs-uri-query), 'http://') > 0"
statementGroupby = "c-ip"
statementOrderby = "[Requests] DESC"
notes = "This query will only work if you are not expecting http:// to be present in a query parameter. Run another query against the logs to determine what files were requested by questionable IP addresses."
+++

