+++
id = 32
name = "Requests for robots.txt with ip and user agent"
description = "This query grabs all requests for the robots.txt file, outputting ip address and user agents, with counts for each."
keywords = ["iisw3c"]
statementParameters = "-i:w3c -o:xml"
statementSelect = "c-ip AS [ClientIp], cs(user-agent) AS [ClientUserAgent], COUNT(*) AS [Requests]"
statementInto = "robots.xml"
statementFrom = "u_ex1009*.log"
statementWhere = "cs-uri-stem = '/robots.txt'"
statementGroupby = "ClientIp, ClientUserAgent"
statementOrderby = "Requests DESC"
notes = "This particular query outputs the data to XML, and renames columns because of that. See <a href=\"https://words.strivinglife.com/post/the-benefits-of-using-a-file-for-log-parser-sql-queries/\" rel=\"external\">The benefits of using a file for Log Parser SQL queries</a> for more information."
+++

