+++
id = 33
name = "Request methods with ip and user agent"
description = "This query grabs all requests by method, excluding common GETs and POSTs. Returns ip address and user agents, with count for each, for determining whether any are testing vulnerabilities."
keywords = ["iisw3c"]
statementParameters = "-i:w3c -o:w3c"
statementSelect = "cs-method, c-ip, cs(User-Agent), COUNT(*) AS [Requests]"
statementInto = "requestMethods.log"
statementFrom = "u_ex1010*.log"
statementWhere = "cs-method NOT IN ('GET';'POST')"
statementGroupby = "cs-method, c-ip, cs(User-Agent)"
statementOrderby = "cs-method, Requests"
notes = "If POSTs aren't used on your site, you may want to remove that exclusion."
+++

